com.independentsoft.exchange

## Enum PermissionReadAccess

- java.lang.Object
- - java.lang.Enum<PermissionReadAccess>
  - - com.independentsoft.exchange.PermissionReadAccess

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PermissionReadAccess>

      public enum PermissionReadAccess
      extends java.lang.Enum<PermissionReadAccess>

  The user does not have permission to read items in the folder.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULL_DETAILS` The user has permission to read all items in the folder.
    `NONE` The user does not have permission to read items in the folder.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PermissionReadAccess` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PermissionReadAccess[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FULL_DETAILS

          public static final PermissionReadAccess FULL_DETAILS

      The user has permission to read all items in the folder.

    - #### NONE

          public static final PermissionReadAccess NONE

      The user does not have permission to read items in the folder.

  - ### Method Detail

    - #### values

          public static PermissionReadAccess[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PermissionReadAccess c : PermissionReadAccess.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PermissionReadAccess valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null